Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class ProxyCollections

    java.lang.Object
      org.apache.openjpa.util.Proxies
          org.apache.openjpa.util.ProxyCollections

    public class ProxyCollections

extends Proxies

Utility methods used by collection proxies.

Author:
  Abe White

Nested Class Summary
`static interface` | `ProxyCollections.ProxyIterator` Marker interface for a proxied iterator.
`static interface` | `ProxyCollections.ProxyListIterator` Marker interface for a proxied list iterator.

Constructor Summary
`ProxyCollections()`

Method Summary
`static boolean` | `addAll(ProxyCollection coll, Collection values)` Override for `Collection.addAll(java.util.Collection)`.
`static boolean` | `addAll(ProxyCollection coll, int index, Collection values)` Override for `List.addAll(int, Collection)`.
`static boolean` | `afterAdd(ProxyCollection coll, Object value, boolean added)` Call after invoking `Collection.add(Object)` on super.
`static void` | `afterAddElement(ProxyCollection coll, Object value)` Call after invoking `Vector#addElement(Object)` on super.
`static void` | `afterAddLast(ProxyCollection coll, Object value)` Call after invoking `LinkedList#addLast(Object)` on super.
`static Iterator` | `afterIterator(ProxyCollection coll, Iterator itr)` Wrap given iterator in a proxy.
`static ListIterator` | `afterListIterator(ProxyCollection coll, int idx, ListIterator itr)` Wrap given iterator in a proxy.
`static ListIterator` | `afterListIterator(ProxyCollection coll, ListIterator itr)` Wrap given iterator in a proxy.
`static boolean` | `afterOffer(ProxyCollection coll, Object value, boolean added)` Call after invoking `Queue#offer(Object)` on super.
`static Object` | `afterPoll(ProxyCollection coll, Object removed)` Call after invoking `Queue#poll` on super.
`static Object` | `afterRemove(ProxyCollection coll, int index, Object removed)` Call after invoking `List.remove(int)` on super.
`static Object` | `afterRemove(ProxyCollection coll, Object removed)` Call after invoking `Queue#remove` on super.
`static boolean` | `afterRemove(ProxyCollection coll, Object o, boolean removed)` Call after invoking `Collection.remove(java.lang.Object)` on super.
`static boolean` | `afterRemoveElement(ProxyCollection coll, Object o, boolean removed)` Call after invoking `Vector#removeElement` on super.
`static Object` | `afterRemoveFirst(ProxyCollection coll, Object removed)` Call after invoking `LinkedList#removeFirst` on super.
`static Object` | `afterRemoveLast(ProxyCollection coll, Object removed)` Call after invoking `LinkedList#removeLast` on super.
`static Object` | `afterSet(ProxyCollection coll, int index, Object element, Object replaced)` Call after invoking `List.set(int, E)` on super.
`static Object` | `afterSetElementAt(ProxyCollection coll, Object element, int index, Object replaced)` Call after invoking `Vector#setElementAt` on super.
`static void` | `beforeAdd(ProxyCollection coll, int index, Object value)` Call before invoking `List.add(int,Object)` on super.
`static void` | `beforeAdd(ProxyCollection coll, Object value)` Call before invoking `Collection.add(Object)` on super.
`static void` | `beforeAddElement(ProxyCollection coll, Object value)` Call before invoking `Vector#addElement(Object)` on super.
`static void` | `beforeAddFirst(ProxyCollection coll, Object value)` Call before invoking `LinkedList#addFirst(Object)` on super.
`static void` | `beforeAddLast(ProxyCollection coll, Object value)` Call before invoking `LinkedList#addLast(Object)` on super.
`static void` | `beforeClear(ProxyCollection coll)` Call before clearing collection.
`static void` | `beforeInsertElementAt(ProxyCollection coll, Object value, int index)` Call before invoking `Vector#insertElementAt(Object,int)` on super.
`static void` | `beforeOffer(ProxyCollection coll, Object value)` Call before invoking `Queue#offer(Object)` on super.
`static void` | `beforePoll(ProxyCollection coll)` Call before invoking `Queue#poll` on super.
`static void` | `beforeRemove(ProxyCollection coll)` Call before invoking `Queue#remove` on super.
`static void` | `beforeRemove(ProxyCollection coll, int index)` Call before invoking `List.remove(int)` on super.
`static void` | `beforeRemove(ProxyCollection coll, Object o)` Call before invoking `Collection.remove(java.lang.Object)` on super.
`static void` | `beforeRemoveAllElements(ProxyCollection coll)` Call before clearing vector.
`static void` | `beforeRemoveElement(ProxyCollection coll, Object o)` Call before invoking `Vector#removeElement` on super.
`static void` | `beforeRemoveElementAt(ProxyCollection coll, int index)` Call before invoking `Vector#removeElementAt(int)` on super.
`static void` | `beforeRemoveFirst(ProxyCollection coll)` Call before invoking `LinkedList#removeFirst` on super.
`static void` | `beforeRemoveLast(ProxyCollection coll)` Call after invoking `LinkedList#removeLast` on super.
`static void` | `beforeSet(ProxyCollection coll, int index, Object element)` Call before invoking `List.set(int, E)` on super.
`static void` | `beforeSetElementAt(ProxyCollection coll, Object element, int index)` Call before invoking `Vector#setElementAt` on super.
`static boolean` | `isDelayed(ProxyCollection proxy)`
`static void` | `loadCollection(ProxyCollection proxy)`
`static void` | `loadCollection(ProxyCollection proxy, boolean detaching)`
`static boolean` | `removeAll(ProxyCollection coll, Collection<?> vals)` Override for `Collection.removeAll(java.util.Collection)`.
`static boolean` | `retainAll(ProxyCollection coll, Collection<?> vals)` Override for `Collection.retainAll(java.util.Collection)`.

Methods inherited from class org.apache.openjpa.util.Proxies
`assertAllowedType, dirty, isOwner, removed, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyCollections

    public ProxyCollections()

Method Detail

### beforeAdd

    public static void beforeAdd(ProxyCollection coll,
                                 int index,
                                 Object value)

  Call before invoking `List.add(int,Object)` on super.

### beforeInsertElementAt

    public static void beforeInsertElementAt(ProxyCollection coll,
                                             Object value,
                                             int index)

  Call before invoking `Vector#insertElementAt(Object,int)` on super.

### beforeAdd

    public static void beforeAdd(ProxyCollection coll,
                                 Object value)

  Call before invoking `Collection.add(Object)` on super.

### afterAdd

    public static boolean afterAdd(ProxyCollection coll,
                                   Object value,
                                   boolean added)

  Call after invoking `Collection.add(Object)` on super.

  Parameters:
    `added` - whether the object was added
  Returns:
    `added`, for convenience

### beforeAddElement

    public static void beforeAddElement(ProxyCollection coll,
                                        Object value)

  Call before invoking `Vector#addElement(Object)` on super.

### afterAddElement

    public static void afterAddElement(ProxyCollection coll,
                                       Object value)

  Call after invoking `Vector#addElement(Object)` on super.

### beforeAddFirst

    public static void beforeAddFirst(ProxyCollection coll,
                                      Object value)

  Call before invoking `LinkedList#addFirst(Object)` on super.

### beforeAddLast

    public static void beforeAddLast(ProxyCollection coll,
                                     Object value)

  Call before invoking `LinkedList#addLast(Object)` on super.

### afterAddLast

    public static void afterAddLast(ProxyCollection coll,
                                    Object value)

  Call after invoking `LinkedList#addLast(Object)` on super.

### beforeOffer

    public static void beforeOffer(ProxyCollection coll,
                                   Object value)

  Call before invoking `Queue#offer(Object)` on super.

### afterOffer

    public static boolean afterOffer(ProxyCollection coll,
                                     Object value,
                                     boolean added)

  Call after invoking `Queue#offer(Object)` on super.

  Parameters:
    `added` - whether the object was added
  Returns:
    `added`, for convenience

### addAll

    public static boolean addAll(ProxyCollection coll,
                                 int index,
                                 Collection values)

  Override for `List.addAll(int, Collection)`.

### addAll

    public static boolean addAll(ProxyCollection coll,
                                 Collection values)

  Override for `Collection.addAll(java.util.Collection)`.

### beforeClear

    public static void beforeClear(ProxyCollection coll)

  Call before clearing collection.

### beforeRemoveAllElements

    public static void beforeRemoveAllElements(ProxyCollection coll)

  Call before clearing vector.

### afterIterator

    public static Iterator afterIterator(ProxyCollection coll,
                                         Iterator itr)

  Wrap given iterator in a proxy.

### afterListIterator

    public static ListIterator afterListIterator(ProxyCollection coll,
                                                 int idx,
                                                 ListIterator itr)

  Wrap given iterator in a proxy.

### afterListIterator

    public static ListIterator afterListIterator(ProxyCollection coll,
                                                 ListIterator itr)

  Wrap given iterator in a proxy.

### beforeRemove

    public static void beforeRemove(ProxyCollection coll,
                                    int index)

  Call before invoking `List.remove(int)` on super.

### afterRemove

    public static Object afterRemove(ProxyCollection coll,
                                     int index,
                                     Object removed)

  Call after invoking `List.remove(int)` on super.

  Parameters:
    `removed` - the removed object
  Returns:
    the removed object, for convenience

### beforeRemoveElementAt

    public static void beforeRemoveElementAt(ProxyCollection coll,
                                             int index)

  Call before invoking `Vector#removeElementAt(int)` on super.

### beforeRemove

    public static void beforeRemove(ProxyCollection coll,
                                    Object o)

  Call before invoking `Collection.remove(java.lang.Object)` on super.

### afterRemove

    public static boolean afterRemove(ProxyCollection coll,
                                      Object o,
                                      boolean removed)

  Call after invoking `Collection.remove(java.lang.Object)` on super.

  Parameters:
    `removed` - whether the object was removed
  Returns:
    whether the object was removed, for convenience

### beforeRemoveElement

    public static void beforeRemoveElement(ProxyCollection coll,
                                           Object o)

  Call before invoking `Vector#removeElement` on super.

### afterRemoveElement

    public static boolean afterRemoveElement(ProxyCollection coll,
                                             Object o,
                                             boolean removed)

  Call after invoking `Vector#removeElement` on super.

### beforeRemoveFirst

    public static void beforeRemoveFirst(ProxyCollection coll)

  Call before invoking `LinkedList#removeFirst` on super.

### afterRemoveFirst

    public static Object afterRemoveFirst(ProxyCollection coll,
                                          Object removed)

  Call after invoking `LinkedList#removeFirst` on super.

### beforeRemoveLast

    public static void beforeRemoveLast(ProxyCollection coll)

  Call after invoking `LinkedList#removeLast` on super.

### afterRemoveLast

    public static Object afterRemoveLast(ProxyCollection coll,
                                         Object removed)

  Call after invoking `LinkedList#removeLast` on super.

### beforeRemove

    public static void beforeRemove(ProxyCollection coll)

  Call before invoking `Queue#remove` on super.

### afterRemove

    public static Object afterRemove(ProxyCollection coll,
                                     Object removed)

  Call after invoking `Queue#remove` on super.

### beforePoll

    public static void beforePoll(ProxyCollection coll)

  Call before invoking `Queue#poll` on super.

### afterPoll

    public static Object afterPoll(ProxyCollection coll,
                                   Object removed)

  Call after invoking `Queue#poll` on super.

### removeAll

    public static boolean removeAll(ProxyCollection coll,
                                    Collection<?> vals)

  Override for `Collection.removeAll(java.util.Collection)`.

### retainAll

    public static boolean retainAll(ProxyCollection coll,
                                    Collection<?> vals)

  Override for `Collection.retainAll(java.util.Collection)`.

### beforeSet

    public static void beforeSet(ProxyCollection coll,
                                 int index,
                                 Object element)

  Call before invoking `List.set(int, E)` on super.

### afterSet

    public static Object afterSet(ProxyCollection coll,
                                  int index,
                                  Object element,
                                  Object replaced)

  Call after invoking `List.set(int, E)` on super.

  Parameters:
    `replaced` - the replaced object
  Returns:
    the replaced object, for convenience

### beforeSetElementAt

    public static void beforeSetElementAt(ProxyCollection coll,
                                          Object element,
                                          int index)

  Call before invoking `Vector#setElementAt` on super.

### afterSetElementAt

    public static Object afterSetElementAt(ProxyCollection coll,
                                           Object element,
                                           int index,
                                           Object replaced)

  Call after invoking `Vector#setElementAt` on super.

### loadCollection

    public static void loadCollection(ProxyCollection proxy)

### loadCollection

    public static void loadCollection(ProxyCollection proxy,
                                      boolean detaching)

### isDelayed

    public static boolean isDelayed(ProxyCollection proxy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.